[RISOLTO] Flash player plugin non funziona

19 contenuti / 0 new
Ultimo contenuto
Ritratto di zafran
Offline
Last seen: 10 mesi 2 settimane fa
Moderatore
Iscritto: 16/06/2008 - 16:10
[RISOLTO] Flash player plugin non funziona

Il precedente post di marco salvini
http://www.pclinuxos.it/node/1395
lamentava solo l'assenza dell'audio.
Visto che invece a me non funzionava completamente più il flash player, ne inizio uno nuovo.

Al posto del filmato, youtube mostrava il riquadro del player nero.
Questo con firefox, opera e chrome (altri non ne ho provati).

Quindi ho trovato questa soluzione sul forum di pcloscom.
Funziona perfettamente anche se la risposta da shell non è molto comprensibile (sembrava che l'installazioe si fosse bloccata).


( SOLVED ) Firefox Can't play videos and other things
http://www.pclinuxos.com/forum/index.php/topic,105228.msg898762.html#msg...

----------------------------------------------

Maybe this does fix it?

http://i.minus.com/1336519626/j0MdUORJ8rpiybKA0nsgdw/dZO4qFjg10Tdu.rpm

It's is the previous flash-player-plugin.


Howto:


Download the Flash-player-plugin.
Remove the actual flash-player-plugin with synaptic.
Start konsole and su to root.
Go to the folder where it's downloaded.


Type rpm -Uvh flash-player-plugin-11.1.102.62-1pclos2012.i586.rpm

Sempre da quelle parti c'è il link a:
How to pin a package in Synaptic?
http://www.pclinuxos.com/forum/index.php/topic,59692.msg480501.html#msg4...
per impedire che il/un pacchetto torni ad aggiornarsi se non lo vogliamo.

Ritratto di monsee
Offline
Last seen: 5 mesi 3 settimane fa
Moderatore
Iscritto: 16/09/2009 - 12:34

Suggerisco, comunque, di verificare PRIMA se il nuovo plugin (il FlashPlayer aggiornato) davvero non funziona.
Nel caso mio, ad esempio, su tutti i miei PCLinuxOS (sia a 64 bit [ZEN-mini; LXDE-mini; XFCE-Phoenix] che a 32 bit [ZEN-mini; LXDE; LXDE-mini; XFCE-Phoenix; XFCE-Phinx]) il pacchetto denominato:
flash-player-plugin 11.2.202.235-1pclos2012
... funziona bene senza dare alcun problema (personalmente testato in Firefox andando su YouTube e visualizzando qualche video).

ADDENDA: pare che il problema afferisca unicamente i PC che usano Schede Grafiche NVIDIA (per le quali, peraltro, c'è stato un aggiornamento proprio oggi relativo a PCLinuxoS a 64 bit, ma non so dire se tale aggiornamento abbia avuto qualcosa a che fare col problema di cui stiamo parlando). Non avendo, io, nessun PC che utilizza NVIDIA, non ho potuto rilevar questo problema. Riassumendo, dunque: prima di "tornare indietro" nella versione del FlashPlayer, verificate se la versione ultima vi funziona. Dovrebbe certamente funzionar bene se NON usate una Scheda Grafica di NVIDIA (io ho testato il corretto funzionamento sia con le ATI e le AMD che con le Intel, per esempio). Può esser che ci sia un malfunzionamento, invece, se usate una Scheda Grafica di NVIDIA. In questo caso (dato che, a quanto pare, Adobe ha rilasciato una comunicazione ufficiale nella quale si dichiara che NON apporterà alcuna modifica al fine di togliare le castagne dal fuoco" a quelli di NVIDIA), è giocoforza conveniente -almeno, per ora- tornare alla versione precedente come saggiamente suggerisce Zafran.

axa
Ritratto di axa
Offline
Last seen: 8 mesi 2 settimane fa
Iscritto: 09/12/2011 - 12:50

Ciao a tutti ho aggiornato una macchina con pclinux 2011 chiaramente aggiornato quindi 2012 kde 32bit ,scheda video nvidia 6100 nessun problema ...
Saluti...

Ritratto di zafran
Offline
Last seen: 10 mesi 2 settimane fa
Moderatore
Iscritto: 16/06/2008 - 16:10

Che versione hai di quel plugin?

axa
Ritratto di axa
Offline
Last seen: 8 mesi 2 settimane fa
Iscritto: 09/12/2011 - 12:50

Quello che è imputato cioè il flash-player-plugin 11.2.202.235-1pclos2012 provato su vaii siti tubo etc etc non ha problemi .
Saluti

Ritratto di zafran
Offline
Last seen: 10 mesi 2 settimane fa
Moderatore
Iscritto: 16/06/2008 - 16:10

Hm.
Si vede che alcune 'nvidia sono più 'nvidia di altre.

axa
Ritratto di axa
Offline
Last seen: 8 mesi 2 settimane fa
Iscritto: 09/12/2011 - 12:50

Ciao Zafran , mi sa di si per la precisione è montata una ‎C61 [GeForce 6100 nForce 405] provato varii siti tutto ok.
Saluti

Ritratto di Sargon6
Offline
Last seen: 6 anni 2 mesi fa
Iscritto: 05/08/2011 - 15:53

Ieri ho installato gli ultimi aggiornamenti di PCLinuxOS e, a cose fatte, mi sono accorto che non riuscivo più a vedere i video su Internet, quindi oggi mi sono messo alla ricerca di una soluzione, ed ho visto questo post di Zafran, quindi sono andato qui
http://minus.com/lZO4qFjg10Tdu
ed ho scaricato il pacchetto
flash-player-plugin-11.1.102.62-1pclos2012.i586.rpm

Siccome il mio inglese non è un gran chè, prima di proseguire, vorrei chiedere chiarimenti a voi.
1) Avendo già scaricato il nuovo plug-in, per prima cosa devo disinstallare il vecchio usando Synaptic, giusto?
2) Per installare il nuovo plug-in di flash-player, basta cliccarci sopra e seguire le istruzioni, o è preferibile usare qualche particolare comando da riga di comando? In quest'ultimo caso, quale comando impartire?
3) Io ho scaricato manualmente la versione 11.1.102.62 di flash-player-plugin, e mi appresto a disinstallare la versione 11.2.202.235 del medesimo. Alla fine, avrò installato un plug-in MENO recente di quello disponibile dai repository. Che devo fare per impedire che PCLinuxOS aggiorni il sistema reinstallando il plug-in che, con la mia scheda video (ATI) non funziona?
4) Avrò problemi con le dipendenze?

Ritratto di Sargon6
Offline
Last seen: 6 anni 2 mesi fa
Iscritto: 05/08/2011 - 15:53

Rettifico parzialmente: cliccare sopra il pacchetto scaricato e seguire le istruzioni non è sufficiente per installare il pacchetto con Synaptic, quindi ho letto meglio il primo post, ed ho usato la riga di comando da super Utente nel modo seguente:
[root@localhost Scaricati]# ls
ass03.jpg BettyC01.jpg JennyPoussin08.jpg ZeldaA05.jpg
ass07.jpg Birra01.jpg Sasha08.jpg
ass09.jpg flash-player-plugin-11.1.102.62-1pclos2012.i586.rpm TashaReign04.jpg
[root@localhost Scaricati]# rpm -Uvh flash-player-plugin-11.1.102.62-1pclos2012.i586.rpm
Preparazione in corso... ########################################### [100%]
1:flash-player-plugin ########################################### [100%]
[root@localhost Scaricati]#

Confermo di NON aver capito come impedire l'aggiornamento alla versione incompatibile con la mia scheda video.
Qualcuno ha suggerimenti in italiano?

Ritratto di zafran
Offline
Last seen: 10 mesi 2 settimane fa
Moderatore
Iscritto: 16/06/2008 - 16:10

'Sta faccenda sta cominciando a diventare rognosa:
era partito come un problema di 'nvidia (il mio caso), poi l'ho trovato con una via integrata, e ora una ati (tu).
Si fa prima a dire che il plugin non funziona e basta.

Comunque, per l'installazione:

1- Downloadi il 11.1 da qualche parte, diciamo il tuo Desktop

2- Da synaptic rimuovi il 11.2
(o da shell di root: apt-get remove flash-player-plugin)

3- Da shell di root in /home/utente/Desktop:
  rpm -Uvh flash-player-plugin-11.1.102.62-1pclos2012.i586.rpm

4- Vedi che tutto funzioni

Per evitare di riaggiornare il plugin:

A- Ti ricordi di togliergli la spunta tutte le volte che fai un aggiornamento da synaptic (secondo me resta il metodo più semplice)

B- Metodo segnalato da Texstar:

1- Crei il file di testo /etc/apt/preferences e ci inserisci come per esempio:
  Package: e2fsprogs
  Pin: version 1.40.2-1pclos*
  Pin-Priority: 1001

  Package: libext2fs2
  Pin: version 1.40.2-1pclos*
  Pin-Priority: 1001

2- Salvi il file (rispettando la riga vuota fra i pacchetti) e da quel momento synaptic ignorerà i pacchetti indicati.

C- Altro metodo segnalato:

1- Aggiungere al file /etc/apt/apt.conf la/e riga/e riferite ai pacchetti da ignorare. P.e.:
  RPM::Ignore {audacious}
  RPM::Ignore {audacious-plugins}

Questo sistema funziona e mi sembra il modo in assoluto più veloce e con meno possibilità di errori.
Per inserire le righe ci sono i soliti metodi:
a- da shell di root con nano o vi
b- da shell di root:
  # echo RPM::Ignore {audacious} >> /etc/apt/apt.conf
  (Attenzione al '>>' che non è '>')
c- da shell utente
  $ xhost +
  $ su
  # gedit oppure kwrite /etc/apt/apt.conf

twa
Ritratto di twa
Offline
Last seen: 9 anni 10 mesi fa
Iscritto: 17/04/2012 - 20:42

sulla mia scheda NVidia GEForce 7300 LE
il flash-player-plugin 11.2.202.235-1pclos2012 funziona peerfettamente.
nessun problema sia su Opera-Firefox e SeaMonkey.

Ritratto di zafran
Offline
Last seen: 10 mesi 2 settimane fa
Moderatore
Iscritto: 16/06/2008 - 16:10

@ twa
Parente di adobe?

twa
Ritratto di twa
Offline
Last seen: 9 anni 10 mesi fa
Iscritto: 17/04/2012 - 20:42

@zafran,
?..assolutamente no.

Ritratto di zafran
Offline
Last seen: 10 mesi 2 settimane fa
Moderatore
Iscritto: 16/06/2008 - 16:10

Peccato, poteva far comodo.

Ritratto di Sargon6
Offline
Last seen: 6 anni 2 mesi fa
Iscritto: 05/08/2011 - 15:53

Dopo 4 mesi riattivo questa discussione per informare gli interessati che ora, nei repository di PCLinuxOS, è presente il pacchetto flash-player-plugin11.1 che, se installato, installa su PCLinuxOS la versione di Flash-Player precedente a quella che ha dato problemi.

Saluto. Sargon6

Ritratto di Rayman
Offline
Last seen: 9 anni 1 mese fa
Iscritto: 18/08/2012 - 10:28

Ciao a tutti,
una soluzione elegante si trova a questo link:

http://www.chimerarevo.com/2012/05/17/video-blu-su-youtube-con-ubuntu-ec...

Anche se riferisce ad Ubuntu, credo valga per tutte le distro.
Al sottoscritto il problema si è risolto con la soluzione 2, ovviamente usando il comando su al posto di sudo e nano come editor al posto di gedit.
Così si può usare la versione più aggiornata e sicura di Flash, con l'accelerazione hardware abilitata.

Ritratto di francesco bat
Offline
Last seen: 2 anni 6 mesi fa
Iscritto: 20/11/2011 - 02:46

Ciao a tutti.
Ora ho fatto caso a questo post.
Io ho risolto da tantissimo tempo il problema disattivando l'accelerazione hardware del flash.
Se non riuscite a disattivarlo nelle impostazioni del flash, aprite un qualunque video di youtube e avviatelo a schermo intero; dopo potete disattivare l'accelerazione hardware del flash e i video si vedranno correttamente Wink
Ciao
Francesco bat

Ritratto di SandroTT
Offline
Last seen: 8 anni 6 mesi fa
Iscritto: 28/03/2012 - 13:07

solo per creare un pò di confusione in più: Smile

-Pclos XFCE-Phoenix (aggiornato)
- scheda video NVIDIA GeForce 7600 GS (correttamente indicata nel driver Nvidia, e -non sò perchè- indicata nel centro di controllo come Nvidia Geforce 6100 to Geforce 360) (comunque driver automaticam. aggiornati da Synaptic a x11-driver-video-current v. 304.37-1pclos2012)
- flash-player-plugin v. 11.2.202.236-1pclos2012
- accelerazione hardware abilitata (verificata come ha detto francesco bat qui sopra)

--> Non mi ha mai dato nessun problema, visualizzazione perfetta dei video su Youtube e similari, sia con Firefox (oggi v.15.0.1), sia con Opera (oggi v. 12.02)

Ritratto di bebolinux
Offline
Last seen: 6 anni 3 mesi fa
Iscritto: 10/12/2008 - 22:27

Rayman wrote:
Ciao a tutti,
una soluzione elegante si trova a questo link:

http://www.chimerarevo.com/2012/05/17/video-blu-su-youtube-con-ubuntu-ec...


Grazie Rayman
ho applicato la soluzione 2 ed ora tutti i colori sono OK
Con File manager super utente ho creato il file /etc/adobe/mms.cfg
ho copiato ed incollato queste due righe all'interno del file aperto con kwrite
EnableLinuxHWVideoDecode=1
OverrideGPUValidation=true

Riavviato firefox ....

Ho una Nvidia GeForce 8400 GS
e flashplayer 11.2.202